    .386p

;******************************************************************
;                I N C L U D E S
;******************************************************************

    include vmm.inc
    include debug.inc

VxD_LOCKED_CODE_SEG

;=================================================================+
;
;   PROCEDURE: ControlProc
;
;   DESCRIPTION:
;    Device control procedure for the SKELETON VxD
;
;   ENTRY:
;    EAX = Control call ID
;
;   EXIT:
;    If carry clear then
;        Successful
;    else
;        Control call failed
;
;   USES:
;    EAX, EBX, ECX, EDX, ESI, EDI, Flags
;
;============================================================================

; use underscore because C module will use symbol
BeginProc _Device1ControlProc

    Control_Dispatch W32_DEVICEIOCONTROL, \
                    _OnW32DeviceIoControl, cCall, <0, esi>
    clc
    ret

EndProc _Device1ControlProc

BeginProc _Device2ControlProc

    Control_Dispatch W32_DEVICEIOCONTROL, \
                    _OnW32DeviceIoControl, cCall, <1, esi>
    clc
    ret

EndProc _Device2ControlProc

VxD_LOCKED_CODE_ENDS

    END
